Subject: Re: bug#43236: [PATCH emacs-guix] elisp: guix-set-emacs-environment: Also update Emacs' path.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Mon, 16 Jan 2023 22:33:05 +0100

Maxim Cournoyer writes:

Hi Maxim,

> "Jan (janneke) Nieuwenhuizen" <[email-masked]> writes:
>
>> This helps Geiser find the correct (environment's) Guile.
>> -;; Copyright © 2018 Jan (janneke) Nieuwenhuizen <[email-masked]>
>> +;; Copyright © 2018,2020 Jan (janneke) Nieuwenhuizen <[email-masked]>
>
> There's no use for a copyright line here as the change is not
> substantial enough (< 10 lines).

Ah...I guess I figured that we need copyright years to be updated in all
years the program is "released".  Oh well...

>> +        (when (equalp variable "PATH")
>> +          (setq exec-path (split-string value ":")))))))
>
> That's still useful with Emacs 28, right?  If you can confirm it, LGTM.

It's still useful...but also...I found this has already been installed
as

    commit d246b2c443bbb9d49575b63bb78c14699c4448cf
    elisp/misc: Update Emacs path if needed

and

    41fba4eec845e050be92bfe76c0f7980bbe821bd
    Fix the previous commit

Sorry for the noise...Closing.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com